Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.web
Class AbstractDesignTimeRequestHandler

    java.lang.Object
      com.bea.web.RequestHandler
          com.bea.adapter.web.AbstractDesignTimeRequestHandler

All Implemented Interfaces:
  Serializable

    public abstract class AbstractDesignTimeRequestHandler

extends RequestHandler
implements Serializable

Provides an implementation for common actions in a design time Web application for deploying application views and connection factories.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.web.RequestHandler
`RequestHandler.PageLinkage`

Field Summary
`static String` | `CONNECTION_PROPERTY`
`static int` | `iDEPLOYED`
`static int` | `iINITIALIZED`
`static int` | `iREADY_TO_ADD`
`static int` | `iREADY_TO_DEPLOY`
`static int` | `iUNINITIALIZED` These static final ints are used to indicate the state of an application view descriptor.
`protected javax.resource.cci.ConnectionFactory` | `m_connectionFactory`
`protected javax.resource.cci.Connection` | `m_proxy`
`static String` | `QUALIFIED_APP_VIEW_NAME`
`protected javax.resource.cci.Connection` | `t_connection`
`protected com.bea.wlai.client.DesignTimeHelper` | `t_dtHelper`
`protected InitialContext` | `t_initialContext`

Constructor Summary
`AbstractDesignTimeRequestHandler()` Initializes an initial context to ensure we are running in a valid environment.

Method Summary
`ActionResult` | `addevent(HttpServletRequest request)` Adds an event to the application view.
`void` | `addEventSchemaToRepository(com.bea.wlai.common.IApplicationViewDescriptor avd, com.bea.wlai.common.IEventDescriptor ed, com.bea.document.IDocumentDefinition eventDef)` Adds the schema for an event to the repository.
`void` | `addEventSchemaToRepository(com.bea.wlai.common.IEventDescriptor ed, com.bea.document.IDocumentDefinition eventDef)` Adds the schema for an event to the repository.
`protected com.bea.wlai.common.IDocumentDescriptor` | `addOrUpdateSchema(com.bea.wlai.client.SchemaManager schemaManager, com.bea.wlai.common.QualifiedName schemaQName, com.bea.document.IDocumentDefinition def)`
`com.bea.wlai.common.QualifiedName` | `addSchemaToRepository(String strKey, com.bea.schema.SOMSchema schema)` Deprecated. This method should not be used going forward as it does not take into account updating existing schemas or adding both request and response schemas to the repository in one logical unit of work. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
`ActionResult` | `addservc(HttpServletRequest request)` Adds a service to the application view...This method corresponds to a JSP page named addservc.
`void` | `addServiceSchemasToRepository(com.bea.wlai.common.IApplicationViewDescriptor avd, com.bea.wlai.common.IServiceDescriptor sd, com.bea.document.IDocumentDefinition requestDef, com.bea.document.IDocumentDefinition responseDef)` Adds the request and response schemas for a service to the WLI repository.
`void` | `addServiceSchemasToRepository(com.bea.wlai.common.IServiceDescriptor sd, com.bea.document.IDocumentDefinition requestDef, com.bea.document.IDocumentDefinition responseDef)` Adds the request and response schemas for a service to the WLI repository.
`ActionResult` | `appvwadmin(HttpServletRequest request)` This method is used if the 'save' button is clicked on the appvwadmin.jsp.
`protected Properties` | `captureBeanParameters(Class beanClass)` Uses java reflection to capture parameters that eventually would be set on the Bean using values found in the current HTTP session for this handler.
`protected Properties` | `captureManagedConnectionFactoryParameters()`
`protected Properties` | `captureResourceAdapterParameters()`
`protected void` | `closeConnection()` This method safely closes the connection handle to the EIS.
`ActionResult` | `confconn(HttpServletRequest request)` Configures a connection to the underlying EIS.
`ActionResult` | `confevent(HttpServletRequest request)` Configures the adapter instance used for event delivery.
`protected javax.resource.spi.ManagedConnectionFactory` | `configureManagedConnectionFactory(Map props)` Instantiates and configures an instance of an adapter specific class that implements the `javax.resource.spi.ManagedConnectionFactory` interface.
`protected ResourceAdapter` | `configureResourceAdapter(Map props)` Instantiates and configures an instance of an adapter specific class that implements the `com.bea.connector.ResourceAdapter` interface.
`ActionResult` | `conninfo(HttpServletRequest request)` This method is used if the 'connection info' link is clicked on the appvwadmin.jsp.
`com.bea.wlai.common.IApplicationViewDescriptor` | `createApplicationViewDescriptor(String appViewName)` This convenience method gets an application view descriptor from the deployManager for a given application view.
`protected void` | `debugDocument(String strMessage, ILogger logger, com.bea.document.IDocument doc)`
`ActionResult` | `depappvw(HttpServletRequest request, String sourcePage)` Deploys an application view onto the WLAI server; this method performs the processing of the "depappvw" action.
`void` | `editEventDescriptor(ActionResult result, com.bea.wlai.common.IEventDescriptor event, HttpServletRequest request)` This method is called by the edtservc response method.
`void` | `editServiceDescriptor(ActionResult result, com.bea.wlai.common.IServiceDescriptor service, HttpServletRequest request)` This method is called by the edtservc response method.
`ActionResult` | `edtappvw(HttpServletRequest request)` This method handles the edit application view action.
`ActionResult` | `edtevent(HttpServletRequest request)` Edits an Event.
`ActionResult` | `edtservc(HttpServletRequest request)` Edits a service.
`ActionResult` | `finalconfig(HttpServletRequest request)` This method is used if the 'final configuration' button is clicked on the appvwadmin.jsp.
`void` | `finalize()` This method is used to assure that the EIS connection (a javax.resource.cci.Connection) is closed properly.
`com.bea.adapter.web.AbstractDesignTimeRequestHandler.AdapterContext` | `getAdapterContext()` This method allows you to get the context necessary to identify/locate the active adapter instance and connection factory.
`String` | `getAdapterContextFromRequest(HttpServletRequest request)` Calculate the adapter context given the current request object
`protected abstract String` | `getAdapterLogicalName()` An abstract method which must be implemented by the adapter developer to return the AdapterLogicalName of their adapter
`String` | `getAdapterLogicalNamePublic()` HACK: Need access to this.
`com.bea.wlai.client.AdapterManager` | `getAdapterManager()`
`com.bea.wlai.client.ApplicationView` | `getApplicationView(String strFullyQualifiedName)` This method is the accessor for the current application view.
`com.bea.wlai.common.IApplicationViewDescriptor` | `getApplicationViewDescriptor()` This method returns the application view descriptor member of the current app view.
`com.bea.wlai.common.IApplicationViewDescriptor` | `getApplicationViewDescriptor(String strName)`
`com.bea.wlai.common.IApplicationViewDescriptor` | `getApplicationViewDescriptor(String strName, boolean allowNonExistent)`
`int` | `getApplicationViewDescriptorState()` Returns the current state of the application view descriptor; used by the classes in the ADK Designtime Framework needing the state for conditional display logic.
`com.bea.wlai.client.ApplicationViewManager` | `getApplicationViewManager()` This is the accessor method for the ApplicationViewManager, an external interface to the ApplicationViewManager EJB
`protected com.bea.wlai.common.QualifiedName` | `getAppViewName(HttpServletRequest request)`
`javax.resource.cci.Connection` | `getConnection()` This method returns the javax.resource.cci.Connection object that is a member variable of this class.
`javax.resource.cci.ConnectionFactory` | `getConnectionFactory()` This method returns the javax.resource.cci.ConnectionFactory object that is a member variable of this class.
`com.bea.wlai.client.DeployManager` | `getDeployManager()`
`com.bea.wlai.client.DesignTimeHelper` | `getDesignTimeHelper()` Get the DesignTimeHelper being used by this AbstractRequestHandler.
`String` | `getEventSchemaName(com.bea.wlai.common.IEventDescriptor ed)` Convenience method to retrieve the event schema's name.
`protected InitialContext` | `getInitialContext()` Provides an initial JNDI context
`javax.resource.cci.InteractionSpec` | `getInteractionSpecForService(com.bea.wlai.client.ApplicationView av, String strService)` Deprecated. - this method should not be used because binding the InteractionSpec into JNDI can lead to class loading issues. Instead, you should get the IServiceDescriptor from the IApplicationViewDescriptor to get properties for a service.
`protected abstract Class` | `getManagedConnectionFactoryClass()` An abstract method which must be implemented by the adapter developer to return the ManagedConnectionFactory class of their adapter.
`com.bea.wlai.client.NamespaceManager` | `getNamespaceManager()` This is the accessor method for the NamespaceManager, an external interface to the NamespaceManager EJB
`protected String` | `getNextAction(String strAction)` A no-op method (returns null by default) that adapter developers can override to alter the screen flow.
`String` | `getNextPage()` Gets the 'hint' for what the next page is supposed to be.
`com.bea.wlai.common.QualifiedName` | `getQualifiedName(String strQualifiedName)`
`String` | `getRequestSchemaName(com.bea.wlai.common.IServiceDescriptor sd)` Convenience method to retrieve the service request schema's name.
`Class` | `getResourceAdapterClass()` An abstract method which must be implemented by the adapter developer to return the ResourceAdapter class of their adapter.
`String` | `getResponseSchemaName(com.bea.wlai.common.IServiceDescriptor sd)` Convenience method to retrieve the service response schema's name.
`String` | `getRootLogContext()` Defines the root log context value for this adapter.
`com.bea.wlai.client.SchemaManager` | `getSchemaManager()` This is the accessor method for the SchemaManager, an external interface to the SchemaManager EJB
`IMutableVariableSet` | `getVariableSet()` Get the variable set instance being manipulated/displayed by the varset JSP page, or null if none has been set.
`protected abstract void` | `initEventDescriptor(ActionResult result, com.bea.wlai.common.IEventDescriptor ed, HttpServletRequest request)` Initializes an event descriptor.
`protected abstract void` | `initServiceDescriptor(ActionResult result, com.bea.wlai.common.IServiceDescriptor sd, HttpServletRequest request)` Initializes a service descriptor which involves creating the request and response schemas for the service.
`ActionResult` | `loadConfconnProperties(HttpServletRequest request)` Maps properties from the request to fields on the confconn html page.
`void` | `loadEventDescriptorProperties(HttpServletRequest request)` Maps properties to fields on the html page.
`void` | `loadServiceDescriptorProperties(HttpServletRequest request)` Maps properties to fields on the html page.
`ActionResult` | `redepappvw(HttpServletRequest request)` Re-deploy a previously deployed application view directly from the appvwsum page.
`void` | `releaseManagers()`
`ActionResult` | `remappvw(HttpServletRequest request)` This method is used to DELETE an application view from the repository.
`int` | `resetApplicationViewDescriptor(String strQualifiedAppViewName)` Resets our internal representation of an application view to arg if needed
`protected void` | `savePropertiesFromAdapter(ResourceAdapter adapter, com.bea.wlai.common.IAdapterDescriptor ad)` This method uses java reflection to save the appropriate properties from the ResourceAdapter instance to the given IAdapterDescriptor instance.
`protected void` | `savePropertiesFromBean(Object bean, com.bea.wlai.common.IPropertiedDescriptor dd)` This method uses java reflection to save the appropriate properties from the given JavaBean instance to a propertied descriptor instance.
`protected void` | `savePropertiesFromFactory(javax.resource.spi.ManagedConnectionFactory factory, com.bea.wlai.common.IConnectionFactoryDescriptor cfd)` This method uses java reflection to save the appropriate properties from the ManagedConnectionFactory to the given IConnectionFactoryDescriptor.
`void` | `setAdapterContext(com.bea.adapter.web.AbstractDesignTimeRequestHandler.AdapterContext adapterContext)` This method allows you to set the context necessary to identify/locate the active adapter instance and connection factory.
`void` | `setAdapterLogicalName(String aln)`
`void` | `setApplicationViewDescriptor(com.bea.wlai.common.IApplicationViewDescriptor avd)` This method allows you to set the member variable m_avd by passing in an IApplicationViewDescriptor.
`protected void` | `setBeanParameters(Class beanClass, Object bean, Map props)` Uses java reflection to set parameters on the Bean using values found in the current HTTP session for this handler.
`void` | `setDesignTimeContext(HttpServletRequest request)` Sets the context for the design-time session by fetching the values from the given HttpServletRequest.
`void` | `setDesignTimeContext(String appName, File appRootDir)` Sets the application name and root directory for the design-time session.
`void` | `setLogContextName(String strLogContextName)` Overrides parent's method to append .DesignTime onto the log context.
`protected void` | `setManagedConnectionParameters(Class managedConnectionFactoryClass, Object objMcf, Map props)` Uses java reflection to set connection parameters on the ManagedConnectionFactory using values found in the current HTTP session for this handler.
`void` | `setNextPage(String page)` Sets the 'hint' for what the next page is supposed to be.
`protected void` | `setResourceAdapterParameters(Class resourceAdapterClass, Object objRA, Map props)` Uses java reflection to set connection parameters on the ManagedConnectionFactory using values found in the current HTTP session for this handler.
`void` | `setVariableSet(IMutableVariableSet varSet)` Set the variable set instance to be manipulated/displayed by the varset JSP page.
`void` | `setVariableSetHasNewValues(boolean newValue)` Set a flag indicating that we just applied new values to the variable set.
`boolean` | `supportsEditableEvents()` Used by the designtime web frame work to determine if an adapter supports editing of events.
`boolean` | `supportsEditableServices()` Used by the designtime web frame work to determine if an adapter supports editing of services.
`boolean` | `supportsEvents()` Used by the designtime web frame work to determine if an adapter supports events.
`boolean` | `supportsEventTest()` Used by the designtime web frame work to determine if an adapter supports the testing of events.
`boolean` | `supportsServices()` Used by the designtime web frame work to determine if an adapter supports services.
`boolean` | `supportsServiceTest()` Used by the designtime web frame work to determine if an adapter supports the testing of services.
`boolean` | `supportsVariables()` Used by the designtime web frame work to determine if an adapter supports the definition and use of variables.
`ActionResult` | `undepappvw(HttpServletRequest request)` This method is used to undeploy an application view from the server, yet leave it in the repository for future editing or deployment.
`void` | `updateSchemaInRepository(String strSchemaName, com.bea.schema.SOMSchema schema)` Deprecated. This method should not be used going forward. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.
`protected javax.resource.spi.ManagedConnectionFactory` | `validateConnectionParameters(Map props)` Verifies that the user supplied connection paramters are sufficient to configure an SPI ManagedConnectionFactory instance to open a connection to the underlying EIS.
`protected ResourceAdapter` | `validateResourceAdapterParameters(Map props)` Verifies that the user supplied event parameters are sufficient to configure an XCCI ResourceAdapter instance.
`boolean` | `variableSetHasNewValues()` Get a flag indicating if we just applied new values to the variable set.
`ActionResult` | `varset(HttpServletRequest request)`

Methods inherited from class com.bea.web.RequestHandler
`appendNullableParameterToURL, clear, containsField, debug, get, getAdditionalExceptionMessages, getAndRemove, getContent, getContent, getContent, getFormFieldPair, getLogConfigFile, getLogContext, getLogger, getMessageBundleBase, getResourceBundle, getUserAgent, getUserName, init, peekPageLinkage, popPageLinkage, pushPageLinkage, pushPageLinkage, read, remove, set, setLocale, setLogConfigFile, setMessageBundleBase, setUserAgent, setUserName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QUALIFIED_APP_VIEW_NAME

    public static final String QUALIFIED_APP_VIEW_NAME

See Also:
  Constant Field Values

### CONNECTION_PROPERTY

    public static final String CONNECTION_PROPERTY

See Also:
  Constant Field Values

### iUNINITIALIZED

    public static final int iUNINITIALIZED

  These static final ints are used to indicate the state of an application view descriptor. They are returned by the public method getApplicationViewDescriptorState()

  See Also:
    Constant Field Values

### iINITIALIZED

    public static final int iINITIALIZED

See Also:
  Constant Field Values

### iREADY_TO_ADD

    public static final int iREADY_TO_ADD

See Also:
  Constant Field Values

### iREADY_TO_DEPLOY

    public static final int iREADY_TO_DEPLOY

See Also:
  Constant Field Values

### iDEPLOYED

    public static final int iDEPLOYED

See Also:
  Constant Field Values

### m_proxy

    protected transient javax.resource.cci.Connection m_proxy

### t_connection

    protected transient javax.resource.cci.Connection t_connection

### m_connectionFactory

    protected javax.resource.cci.ConnectionFactory m_connectionFactory

### t_dtHelper

    protected transient com.bea.wlai.client.DesignTimeHelper t_dtHelper

### t_initialContext

    protected transient InitialContext t_initialContext

Constructor Detail

### AbstractDesignTimeRequestHandler

    public AbstractDesignTimeRequestHandler()
                                     throws NamingException,
                                            com.bea.wlai.client.NamespaceException,
                                            javax.ejb.CreateException,
                                            RemoteException

  Initializes an initial context to ensure we are running in a valid environment.

  Throws:
    `NamingException`
    `com.bea.wlai.client.NamespaceException`
    `javax.ejb.CreateException`
    `RemoteException`

Method Detail

### getAdapterLogicalName

    protected abstract String getAdapterLogicalName()

  An abstract method which must be implemented by the adapter developer to return the AdapterLogicalName of their adapter

  Returns:
    String adapter's logical name. For example, the sample DBMS Adapter's logical name is BEA_WLS_DBMS_ADK, and the sample Email Adapter's logical name is BEA_WLS_EMAIL_ADK.

### getAdapterLogicalNamePublic

    public String getAdapterLogicalNamePublic()

  HACK: Need access to this. Why it was ever protected is beyond me, but we can't just make it public because then we'd have to recompile the adapters.

### setAdapterLogicalName

    public void setAdapterLogicalName(String aln)

### getRootLogContext

    public String getRootLogContext()

  Defines the root log context value for this adapter. This context should be defined in your logging framework configuration file. This base implementation simply returns the adapter logical name.

### getResourceAdapterClass

    public Class getResourceAdapterClass()

  An abstract method which must be implemented by the adapter developer to return the ResourceAdapter class of their adapter.

  Returns:
    Class (specific to each adapter - the implementatin class for your adapter's ResourceAdapter.

### getManagedConnectionFactoryClass

    protected abstract Class getManagedConnectionFactoryClass()

  An abstract method which must be implemented by the adapter developer to return the ManagedConnectionFactory class of their adapter.

  Returns:
    Class (specific to each adapter - the implementatin class for your adapter's ManagedConnectionFactory.

### initServiceDescriptor

    protected abstract void initServiceDescriptor(ActionResult result,
                                                  com.bea.wlai.common.IServiceDescriptor sd,
                                                  HttpServletRequest request)
                                           throws Exception

  Initializes a service descriptor which involves creating the request and response schemas for the service. A typical approach is to execute an Interaction against the EIS to retrieve metadata and transform it into an XML schema. Consequently, we use the CCI interface provided by the adapter. Subclasses must provide an implementation of this method. If the adapter does not support services, then the method should throw an UnsupportedOperationException.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `sd` - - an object that describes a service for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    `Exception` - if an error occurs while attempting to create the request and/or response schemas via a call to the EIS.

### initEventDescriptor

    protected abstract void initEventDescriptor(ActionResult result,
                                                com.bea.wlai.common.IEventDescriptor ed,
                                                HttpServletRequest request)
                                         throws Exception

  Initializes an event descriptor. The event descriptor provides information about an event on an application view. Subclasses will need to supply an implementation of this method. If events are not supported, then the implementation should throw an UnsupportedOperationException. This method will not be called until the event name and definition have been validated and the event does not already exist for the application view.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `ed` - - provides information about an event for an application view; schema name, etc.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    `Exception` - if an error occurs while initializing the event descriptor

### setDesignTimeContext

    public void setDesignTimeContext(HttpServletRequest request)
                              throws Exception

  Sets the context for the design-time session by fetching the values from the given HttpServletRequest. This context includes application name and root directory, as well as active AppView and Adapter purpose.

  Parameters:
    `request` - The HttpServletRequest for the current web page request. The appName parameter in request provides the application name, and the appRootDir parameter in request provides the application root directory path. If either of these parameters is missing or empty, an exception is thrown.
  Throws:
    `Exception`

### setDesignTimeContext

    public void setDesignTimeContext(String appName,
                                     File appRootDir)
                              throws Exception

  Sets the application name and root directory for the design-time session.

  Parameters:
    `appName` - The name of the application that will host the ApplicationViews defined during this session.
    `appRootDir` - The root directory of the project for the application named by appName. All repository objects will be written to a repository directory under the root (currently /Resources/wlai-repository).
  Throws:
    `Exception`

### setLogContextName

    public void setLogContextName(String strLogContextName)

  Overrides parent's method to append .DesignTime onto the log context.

  Overrides:
    `setLogContextName` in class `RequestHandler`

### getDesignTimeHelper

    public com.bea.wlai.client.DesignTimeHelper getDesignTimeHelper()

  Get the DesignTimeHelper being used by this AbstractRequestHandler.

### getInitialContext

    protected InitialContext getInitialContext()
                                        throws NamingException

  Provides an initial JNDI context

  Throws:
    `NamingException`

### getApplicationViewManager

    public com.bea.wlai.client.ApplicationViewManager getApplicationViewManager()
                                                                         throws com.bea.wlai.client.NamespaceException,
                                                                                NamingException,
                                                                                javax.ejb.CreateException,
                                                                                RemoteException

  This is the accessor method for the ApplicationViewManager, an external interface to the ApplicationViewManager EJB

  Returns:
    ApplicationViewManager
  Throws:
    `com.bea.wlai.client.NamespaceException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`

### releaseManagers

    public void releaseManagers()

### getAdapterManager

    public com.bea.wlai.client.AdapterManager getAdapterManager()
                                                         throws com.bea.wlai.client.NamespaceException,
                                                                NamingException,
                                                                javax.ejb.CreateException,
                                                                RemoteException

  Throws:
    `com.bea.wlai.client.NamespaceException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`

### getNamespaceManager

    public com.bea.wlai.client.NamespaceManager getNamespaceManager()
                                                             throws com.bea.wlai.client.NamespaceException,
                                                                    NamingException,
                                                                    javax.ejb.CreateException,
                                                                    RemoteException

  This is the accessor method for the NamespaceManager, an external interface to the NamespaceManager EJB

  Returns:
    NamespaceManager
  Throws:
    `com.bea.wlai.client.NamespaceException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`

### getSchemaManager

    public com.bea.wlai.client.SchemaManager getSchemaManager()
                                                       throws com.bea.wlai.client.NamespaceException,
                                                              NamingException,
                                                              javax.ejb.CreateException,
                                                              RemoteException

  This is the accessor method for the SchemaManager, an external interface to the SchemaManager EJB

  Returns:
    SchemaManager
  Throws:
    `com.bea.wlai.client.NamespaceException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`

### getDeployManager

    public com.bea.wlai.client.DeployManager getDeployManager()
                                                       throws com.bea.wlai.client.NamespaceException,
                                                              NamingException,
                                                              javax.ejb.CreateException,
                                                              RemoteException

  Returns:
    the deploy manager for this server
  Throws:
    `com.bea.wlai.client.NamespaceException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`

### getApplicationView

    public com.bea.wlai.client.ApplicationView getApplicationView(String strFullyQualifiedName)
                                                           throws Exception

  This method is the accessor for the current application view.

  Parameters:
    `strFullyQualifiedName` - is the qualified name of the application view.
  Returns:
    ApplicationView
  Throws:
    `Exception`

### getInteractionSpecForService

    public javax.resource.cci.InteractionSpec getInteractionSpecForService(com.bea.wlai.client.ApplicationView av,
                                                                           String strService)
                                                                    throws Exception

  Deprecated. - this method should not be used because binding the InteractionSpec into JNDI can lead to class loading issues. Instead, you should get the IServiceDescriptor from the IApplicationViewDescriptor to get properties for a service.

  This method retrieves the InteractionSpec for the given application view/ service. It uses the two arguments to create a JNDI name for lookup.

  Parameters:
    `av` - is the ApplicationView object
    `strService` - is the String service name
  Returns:
    javax.resource.cci.InteractionSpec
  Throws:
    `Exception`

### getConnection

    public javax.resource.cci.Connection getConnection()
                                                throws Exception

  This method returns the javax.resource.cci.Connection object that is a member variable of this class.

  Returns:
    javax.resource.cci.Connection
  Throws:
    `Exception` - if the connection cannot be obtained.

### getConnectionFactory

    public javax.resource.cci.ConnectionFactory getConnectionFactory()
                                                              throws Exception

  This method returns the javax.resource.cci.ConnectionFactory object that is a member variable of this class.

  Returns:
    javax.resource.cci.ConnectionFactory
  Throws:
    `Exception` - if the connection cannot be obtained.

### closeConnection

    protected void closeConnection()

  This method safely closes the connection handle to the EIS. Exceptions generated during close are logged as warnings, but not thrown.

### createApplicationViewDescriptor

    public com.bea.wlai.common.IApplicationViewDescriptor createApplicationViewDescriptor(String appViewName)

  This convenience method gets an application view descriptor from the deployManager for a given application view. If it fails, it returns null to the calling jsp.

  Parameters:
    `appViewName` - is the String name of the application view
  Returns:
    IApplicationViewDescriptor

### getApplicationViewDescriptor

    public com.bea.wlai.common.IApplicationViewDescriptor getApplicationViewDescriptor()

  This method returns the application view descriptor member of the current app view. This member may be null (after deployment for example.) For that reason, clients should call the createApplicationViewDescriptor method to retrieve the avd of a particular app view.

  Returns:
    IApplicationViewDescriptor

### getApplicationViewDescriptor

    public com.bea.wlai.common.IApplicationViewDescriptor getApplicationViewDescriptor(String strName)
                                                                                throws com.bea.wlai.client.ApplicationViewException,
                                                                                       NamingException,
                                                                                       javax.ejb.CreateException,
                                                                                       RemoteException,
                                                                                       com.bea.wlai.client.NamespaceException

  Throws:
    `com.bea.wlai.client.ApplicationViewException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`
    `com.bea.wlai.client.NamespaceException`

### getApplicationViewDescriptor

    public com.bea.wlai.common.IApplicationViewDescriptor getApplicationViewDescriptor(String strName,
                                                                                       boolean allowNonExistent)
                                                                                throws com.bea.wlai.client.ApplicationViewException,
                                                                                       NamingException,
                                                                                       javax.ejb.CreateException,
                                                                                       RemoteException,
                                                                                       com.bea.wlai.client.NamespaceException

  Throws:
    `com.bea.wlai.client.ApplicationViewException`
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`
    `com.bea.wlai.client.NamespaceException`

### setApplicationViewDescriptor

    public void setApplicationViewDescriptor(com.bea.wlai.common.IApplicationViewDescriptor avd)

  This method allows you to set the member variable m_avd by passing in an IApplicationViewDescriptor.

  Parameters:
    `avd` - is an IApplicationViewDescriptor

### setAdapterContext

    public void setAdapterContext(com.bea.adapter.web.AbstractDesignTimeRequestHandler.AdapterContext adapterContext)

  This method allows you to set the context necessary to identify/locate the active adapter instance and connection factory. This information allows the handler to fetch back the active adapter instance or factory from the active appview descriptor or from the repository.

  Parameters:
    `adapterContext` - is the information needed to establish a usable context for editing/viewing adapter instances and connection factories.).

### getAdapterContext

    public com.bea.adapter.web.AbstractDesignTimeRequestHandler.AdapterContext getAdapterContext()

  This method allows you to get the context necessary to identify/locate the active adapter instance and connection factory. This information allows the handler to fetch back the active adapter instance or factory from the active appview descriptor or from the repository.

### setNextPage

    public void setNextPage(String page)

  Sets the 'hint' for what the next page is supposed to be. This is an ad-hoc facility that might be used to process any number of pages in this web app. Handler methods that are aware of this facility should redirect to the page described by the given name. The argument to this method might be a simple page name or a URL.

### getNextPage

    public String getNextPage()

  Gets the 'hint' for what the next page is supposed to be. This is an ad-hoc facility that might be used to process any number of pages in this web app. Handler methods that are aware of this facility should redirect to the page described by the returned name. The return value of this method might be a simple page name or a URL.

### resetApplicationViewDescriptor

    public int resetApplicationViewDescriptor(String strQualifiedAppViewName)
                                       throws Exception

  Resets our internal representation of an application view to arg if needed

  Returns:
    the state of our application view descriptor
  Throws:
    `Exception`

### addSchemaToRepository

    public com.bea.wlai.common.QualifiedName addSchemaToRepository(String strKey,
                                                                   com.bea.schema.SOMSchema schema)
                                                            throws Exception

  Deprecated. This method should not be used going forward as it does not take into account updating existing schemas or adding both request and response schemas to the repository in one logical unit of work. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.

  Add a schema to the WLAI schema repository.

  Parameters:
    `strKey` - - the key for the schema in the repository
    `schema` - - the schema object to add to the repository
  Throws:
    `Exception` - - An exceptional condition was encountered while trying to add the schema to the repository.

### updateSchemaInRepository

    public void updateSchemaInRepository(String strSchemaName,
                                         com.bea.schema.SOMSchema schema)
                                  throws Exception

  Deprecated. This method should not be used going forward. The preferred approach is to use the `addServiceSchemasToRepository` or `addEventSchemaToRepository` methods directly.

  Update a schema in the WLAI schema repository.

  Parameters:
    `strSchemaName` - - the key for the schema in the repository
    `schema` - - the schema object to update in the repository
  Throws:
    `Exception` - - An exceptional condition was encountered while trying to update the schema in the repository.

### addServiceSchemasToRepository

    public void addServiceSchemasToRepository(com.bea.wlai.common.IServiceDescriptor sd,
                                              com.bea.document.IDocumentDefinition requestDef,
                                              com.bea.document.IDocumentDefinition responseDef)
                                       throws Exception

  Adds the request and response schemas for a service to the WLI repository. The schemas are added in such a way to prevent the request from being in the repository and not the response, i.e. all or nothing. In addition, this method checks to see if the schema is already in the repository, and if it is, it is updated. This prevents us from getting a primary key constraint exception. In short, it is safe to call this method when either adding or editing a service, it takes care of the details. If all is well the IServiceDescriptor is updated to reflect the names of the schemas for the service.

  Throws:
    `Exception`

### addEventSchemaToRepository

    public void addEventSchemaToRepository(com.bea.wlai.common.IEventDescriptor ed,
                                           com.bea.document.IDocumentDefinition eventDef)
                                    throws Exception

  Adds the schema for an event to the repository. This method checks to see if the schema is already in the repository and if it is, the schema is updated. In short, it is safe to call this method when either adding or editing an event, it takes care of the details.

  Throws:
    `Exception`

### addServiceSchemasToRepository

    public void addServiceSchemasToRepository(com.bea.wlai.common.IApplicationViewDescriptor avd,
                                              com.bea.wlai.common.IServiceDescriptor sd,
                                              com.bea.document.IDocumentDefinition requestDef,
                                              com.bea.document.IDocumentDefinition responseDef)
                                       throws Exception

  Adds the request and response schemas for a service to the WLI repository. The schemas are added in such a way to prevent the request from being in the repository and not the response, i.e. all or nothing. In addition, this method checks to see if the schema is already in the repository, and if it is, it is updated. This prevents us from getting a primary key constraint exception. In short, it is safe to call this method when either adding or editing a service, it takes care of the details. If all is well the IServiceDescriptor is updated to reflect the names of the schemas for the service.

  Throws:
    `Exception`

### addEventSchemaToRepository

    public void addEventSchemaToRepository(com.bea.wlai.common.IApplicationViewDescriptor avd,
                                           com.bea.wlai.common.IEventDescriptor ed,
                                           com.bea.document.IDocumentDefinition eventDef)
                                    throws Exception

  Adds the schema for an event to the repository. This method checks to see if the schema is already in the repository and if it is, the schema is updated. In short, it is safe to call this method when either adding or editing an event, it takes care of the details.

  Throws:
    `Exception`

### addOrUpdateSchema

    protected com.bea.wlai.common.IDocumentDescriptor addOrUpdateSchema(com.bea.wlai.client.SchemaManager schemaManager,
                                                                        com.bea.wlai.common.QualifiedName schemaQName,
                                                                        com.bea.document.IDocumentDefinition def)
                                                                 throws Exception

  Returns:
    an IDocumentDescriptor that describes a schema in the repository.
  Throws:
    `Exception`

### getQualifiedName

    public com.bea.wlai.common.QualifiedName getQualifiedName(String strQualifiedName)
                                                       throws NamingException,
                                                              javax.ejb.CreateException,
                                                              RemoteException,
                                                              com.bea.wlai.client.NamespaceException

  Throws:
    `NamingException`
    `javax.ejb.CreateException`
    `RemoteException`
    `com.bea.wlai.client.NamespaceException`

### finalize

    public void finalize()

  This method is used to assure that the EIS connection (a javax.resource.cci.Connection) is closed properly.

  Overrides:
    `finalize` in class `Object`

### getApplicationViewDescriptorState

    public int getApplicationViewDescriptorState()

  Returns the current state of the application view descriptor; used by the classes in the ADK Designtime Framework needing the state for conditional display logic. You can call setApplicationViewDescriptor() before calling this method to initialize the m_avd member.

  Returns:
    int indicating the state of the application view descriptor. The method uses static final ints initialized in this class.

### getNextAction

    protected String getNextAction(String strAction)

  A no-op method (returns null by default) that adapter developers can override to alter the screen flow. Return the next action for strAction.

  Parameters:
    `strAction` - is the action for which we want to get the next action (jsp screen) in our screen flow. The code elsewhere in this class that calls this method always checks for null before moving forward.
  Returns:
    String name of the next action or jsp screen (action = jsp)

### getAdapterContextFromRequest

    public String getAdapterContextFromRequest(HttpServletRequest request)

  Calculate the adapter context given the current request object

### loadConfconnProperties

    public ActionResult loadConfconnProperties(HttpServletRequest request)
                                        throws Exception

  Maps properties from the request to fields on the confconn html page. This method is used to populate the confconn html page for edit. This base implementation simply stores all request parameters that are not already represented in the request handler parameter set.

  Parameters:
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the confconn method.
  Throws:
    `Exception` - if an error occurs while initializing the parameters

### confconn

    public ActionResult confconn(HttpServletRequest request)
                          throws Exception

  Configures a connection to the underlying EIS. The purpose/location of this connection is indicated by the return value of getAdapterContext(). This method uses the 'nextPage' facility to redirect to the requested page after processing the given request. Note this method calls the protected validateConnectionParameters method. The validateConnectionParameters method is where you should validate the parameters in the current request, and create an instance of your ManagedConnectionFactory. confconn then calls savePropertiesFromFactory and then saveAdapterDescriptor and then saveApplicationViewDescriptor.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### confevent

    public ActionResult confevent(HttpServletRequest request)
                           throws Exception

  Configures the adapter instance used for event delivery. This method assumes that the current ApplicationViewDescriptor has been configured with the adapter instance to use for event delivery. This method takes parameters from the confevent JSP (request arg to this method), and stores them into a properties file for later use, then redirects to the calling page.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### getAppViewName

    protected com.bea.wlai.common.QualifiedName getAppViewName(HttpServletRequest request)
                                                        throws Exception

  Throws:
    `Exception`

### redepappvw

    public ActionResult redepappvw(HttpServletRequest request)
                            throws Exception

  Re-deploy a previously deployed application view directly from the appvwsum page.

  Throws:
    `Exception`

### depappvw

    public ActionResult depappvw(HttpServletRequest request,
                                 String sourcePage)
                          throws Exception

  Deploys an application view onto the WLAI server; this method performs the processing of the "depappvw" action. The algorithm is: 1. deploy the avd 2. set our nextAction variable, and create our return object (ActionResult)

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### finalconfig

    public ActionResult finalconfig(HttpServletRequest request)
                             throws Exception

  This method is used if the 'final configuration' button is clicked on the appvwadmin.jsp. It saves the the application view descriptor, and then moves on to the depappvw page.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### conninfo

    public ActionResult conninfo(HttpServletRequest request)
                          throws Exception

  This method is used if the 'connection info' link is clicked on the appvwadmin.jsp. It saves the the application view descriptor, and then moves on to the conninfo page.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### appvwadmin

    public ActionResult appvwadmin(HttpServletRequest request)
                            throws Exception

  This method is used if the 'save' button is clicked on the appvwadmin.jsp. It saves the connection Factory descriptor and the application view descriptor, and redisplays the appvwadmin page.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### edtappvw

    public ActionResult edtappvw(HttpServletRequest request)
                          throws Exception

  This method handles the edit application view action.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action
  Throws:
    `Exception`

### undepappvw

    public ActionResult undepappvw(HttpServletRequest request)
                            throws Exception

  This method is used to undeploy an application view from the server, yet leave it in the repository for future editing or deployment.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action
  Throws:
    `Exception`

### remappvw

    public ActionResult remappvw(HttpServletRequest request)
                          throws Exception

  This method is used to DELETE an application view from the repository. You should call undepappvw to UNDEPLOY and application view from the server.

  Parameters:
    `request` - is the HttpServletRequest
  Returns:
    an object describing the result of this action
  Throws:
    `Exception`

### getEventSchemaName

    public String getEventSchemaName(com.bea.wlai.common.IEventDescriptor ed)

  Convenience method to retrieve the event schema's name.

  Parameters:
    `ed` - is an IEventDescriptor
  Returns:
    String name of the schema

### getRequestSchemaName

    public String getRequestSchemaName(com.bea.wlai.common.IServiceDescriptor sd)

  Convenience method to retrieve the service request schema's name.

  Parameters:
    `sd` - is an IServiceDescriptor
  Returns:
    String name of the schema

### getResponseSchemaName

    public String getResponseSchemaName(com.bea.wlai.common.IServiceDescriptor sd)

  Convenience method to retrieve the service response schema's name.

  Parameters:
    `sd` - is an IServiceDescriptor
  Returns:
    String name of the schema

### validateConnectionParameters

    protected javax.resource.spi.ManagedConnectionFactory validateConnectionParameters(Map props)
                                                                                throws Exception

  Verifies that the user supplied connection paramters are sufficient to configure an SPI ManagedConnectionFactory instance to open a connection to the underlying EIS. This method calls the configureManagedConnectionFactory method to obtain a ManagedConnectionFactory instance, then creates a non-managed ConnectionFactory and obtains the 'browsing' connection from it.

  Returns:
    a ManagedConnectionFactory
  Throws:
    `Exception` - if the connection object is null.

### configureManagedConnectionFactory

    protected javax.resource.spi.ManagedConnectionFactory configureManagedConnectionFactory(Map props)
                                                                                     throws ClassNotFoundException,
                                                                                            IllegalAccessException,
                                                                                            InstantiationException,
                                                                                            IntrospectionException,
                                                                                            InvocationTargetException

  Instantiates and configures an instance of an adapter specific class that implements the `javax.resource.spi.ManagedConnectionFactory` interface. This method obtains the class instance for the ManagedConnectionFactory by calling the getManagedConnectionFactoryClass method. It then populates the ManagedConnectionFactory instance by calling the setManagedConnectionParameters method.

  Returns:
    ManagedConnectionFactory
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `IntrospectionException`
    `InvocationTargetException`
  See Also:
    `getManagedConnectionFactoryClass()`, `setManagedConnectionParameters(java.lang.Class, java.lang.Object, java.util.Map)`

### captureManagedConnectionFactoryParameters

    protected Properties captureManagedConnectionFactoryParameters()
                                                            throws ClassNotFoundException,
                                                                   IllegalAccessException,
                                                                   IntrospectionException,
                                                                   InvocationTargetException

  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### captureResourceAdapterParameters

    protected Properties captureResourceAdapterParameters()
                                                   throws ClassNotFoundException,
                                                          IllegalAccessException,
                                                          IntrospectionException,
                                                          InvocationTargetException

  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### setManagedConnectionParameters

    protected void setManagedConnectionParameters(Class managedConnectionFactoryClass,
                                                  Object objMcf,
                                                  Map props)
                                           throws IllegalAccessException,
                                                  IntrospectionException,
                                                  InvocationTargetException

  Uses java reflection to set connection parameters on the ManagedConnectionFactory using values found in the current HTTP session for this handler. These properties are matched one-to-one from the session to the ManagedConnectionFactory instance. If you need special handling of the mapping from session properties to MCF properties, you should override this method.

  Throws:
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### validateResourceAdapterParameters

    protected ResourceAdapter validateResourceAdapterParameters(Map props)
                                                         throws Exception

  Verifies that the user supplied event parameters are sufficient to configure an XCCI ResourceAdapter instance. This method calls the configureResourceAdapter method to obtain a configured ResourceAdapter instance.

  Returns:
    a ResourceAdapter
  Throws:
    `Exception` - if any error occurs

### configureResourceAdapter

    protected ResourceAdapter configureResourceAdapter(Map props)
                                                throws ClassNotFoundException,
                                                       IllegalAccessException,
                                                       InstantiationException,
                                                       IntrospectionException,
                                                       InvocationTargetException

  Instantiates and configures an instance of an adapter specific class that implements the `com.bea.connector.ResourceAdapter` interface. This method obtains the class instance for the ResourceAdapter by calling the getResourceAdapterClass method. It then populates the ResourceAdapter instance by calling the setResourceAdapterParameters method.

  Returns:
    ResourceAdapter
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `IntrospectionException`
    `InvocationTargetException`

### setResourceAdapterParameters

    protected void setResourceAdapterParameters(Class resourceAdapterClass,
                                                Object objRA,
                                                Map props)
                                         throws IllegalAccessException,
                                                IntrospectionException,
                                                InvocationTargetException

  Uses java reflection to set connection parameters on the ManagedConnectionFactory using values found in the current HTTP session for this handler. These properties are matched one-to-one from the session to the ManagedConnectionFactory instance. If you need special handling of the mapping from session properties to MCF properties, you should override this method.

  Throws:
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### setBeanParameters

    protected void setBeanParameters(Class beanClass,
                                     Object bean,
                                     Map props)
                              throws IllegalAccessException,
                                     IntrospectionException,
                                     InvocationTargetException

  Uses java reflection to set parameters on the Bean using values found in the current HTTP session for this handler. These properties are matched one-to-one from the session to the Bean instance. If you need special handling of the mapping from session properties to Bean properties, you should override this method.

  Throws:
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### captureBeanParameters

    protected Properties captureBeanParameters(Class beanClass)
                                        throws IllegalAccessException,
                                               IntrospectionException,
                                               InvocationTargetException

  Uses java reflection to capture parameters that eventually would be set on the Bean using values found in the current HTTP session for this handler. These properties are matched one-to-one from the session to the Bean instance. If you need special handling of the mapping from session properties to Bean properties, you should override this method.

  Throws:
    `IllegalAccessException`
    `IntrospectionException`
    `InvocationTargetException`

### savePropertiesFromFactory

    protected void savePropertiesFromFactory(javax.resource.spi.ManagedConnectionFactory factory,
                                             com.bea.wlai.common.IConnectionFactoryDescriptor cfd)
                                      throws Exception

  This method uses java reflection to save the appropriate properties from the ManagedConnectionFactory to the given IConnectionFactoryDescriptor.

  Parameters:
    `factory` - is the ManagedConnectionFactory whose properties need saving.
    `cfd` - is the IConnectionFactoryDescriptor to which the properties contained in factory will be saved.
  Throws:
    `Exception`

### savePropertiesFromAdapter

    protected void savePropertiesFromAdapter(ResourceAdapter adapter,
                                             com.bea.wlai.common.IAdapterDescriptor ad)
                                      throws Exception

  This method uses java reflection to save the appropriate properties from the ResourceAdapter instance to the given IAdapterDescriptor instance.

  Parameters:
    `adapter` - is the ResourceAdapter whose properties need saving.
    `ad` - is the IAdapterDescriptor to which the properties contained in ResourceAdapter will be saved.
  Throws:
    `Exception`

### savePropertiesFromBean

    protected void savePropertiesFromBean(Object bean,
                                          com.bea.wlai.common.IPropertiedDescriptor dd)
                                   throws Exception

  This method uses java reflection to save the appropriate properties from the given JavaBean instance to a propertied descriptor instance.

  Parameters:
    `bean` - is the JavaBean whose properties need saving.
    `dd` - is the IPropertiedDescriptor to which the properties contained in bean will be saved.
  Throws:
    `Exception`

### supportsEvents

    public boolean supportsEvents()

  Used by the designtime web frame work to determine if an adapter supports events. Returns true by default. This should be overridden by the adapter developer if the adapter does not support events.

### supportsServices

    public boolean supportsServices()

  Used by the designtime web frame work to determine if an adapter supports services. Returns true by default. This should be overridden by the adapter developer if the adapter does not support services.

### supportsServiceTest

    public boolean supportsServiceTest()

  Used by the designtime web frame work to determine if an adapter supports the testing of services. Returns false by default. This should be overridden by the adapter developer if the adapter supports the testing of services.

### supportsEventTest

    public boolean supportsEventTest()

  Used by the designtime web frame work to determine if an adapter supports the testing of events. Returns false by default. This should be overridden by the adapter developer if the adapter supports the testing of events.

### supportsEditableEvents

    public boolean supportsEditableEvents()

  Used by the designtime web frame work to determine if an adapter supports editing of events. Returns false by default. This should be overridden by the adapter developer if the adapter supports the editing of events.

### supportsVariables

    public boolean supportsVariables()

  Used by the designtime web frame work to determine if an adapter supports the definition and use of variables. Variables represent typed pieces of information that are either dynamic at runtime, or are specific to a particular deployment environment. Their values can come from defaults assigned to the variables themselves or the system administrator at runtime.

### supportsEditableServices

    public boolean supportsEditableServices()

  Used by the designtime web frame work to determine if an adapter supports editing of services. Returns false by default. This should be overridden by the adapter developer if the adapter supports the editing of services.

### addservc

    public ActionResult addservc(HttpServletRequest request)
                          throws Exception

  Adds a service to the application view...This method corresponds to a JSP page named addservc. When the user submits the form on the addservc page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your addservc form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for adding a service to an application view. It relies on an abstract method initServiceDescriptor to supply the EIS specific aspects of adding a service.

  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### edtservc

    public ActionResult edtservc(HttpServletRequest request)
                          throws Exception

  Edits a service. This method corresponds to a JSP page named edtservc. When the user submits the form on the edtservc page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your edtservc form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for saving fields on the service page. It relies on an abstract method editServiceDescriptor to supply the EIS specific aspects of adding a service.

  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### loadServiceDescriptorProperties

    public void loadServiceDescriptorProperties(HttpServletRequest request)
                                         throws Exception

  Maps properties to fields on the html page. This method is used to populate an html page for edit.

  Parameters:
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    `Exception` - if an error occurs while initializing the event descriptor

### editServiceDescriptor

    public void editServiceDescriptor(ActionResult result,
                                      com.bea.wlai.common.IServiceDescriptor service,
                                      HttpServletRequest request)
                               throws Exception

  This method is called by the edtservc response method. Its purpose is to extract information from a form and populate the service descriptor.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `service` - - an object that describes a service for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    `Exception` - if an error occurs while initializing the event descriptor

### addevent

    public ActionResult addevent(HttpServletRequest request)
                          throws Exception

  Adds an event to the application view. This method provides the common logic required for adding an event to an application view. It relies on an abstract method initEventDescriptor to supply the EIS specific aspects of adding an event.

  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### edtevent

    public ActionResult edtevent(HttpServletRequest request)
                          throws Exception

  Edits an Event. This method corresponds to a JSP page named edtevent. When the user submits the form on the edtevent page, this method gets invoked by the controller servlet. An additional feature of the design time framework provided by the ADK is that every form field that uses an ADK tag has already passed coarse-grained validation prior to this method getting invoked. If your edtevent form does not use ADK tags, you will need to get the field from the request parameter. This method provides the common logic required for saving fields on the event page. It relies on an abstract method editEventDescriptor to supply the EIS specific aspects for adding an event.

  Returns:
    an object that describes the outcome of this action.
  Throws:
    `Exception`

### loadEventDescriptorProperties

    public void loadEventDescriptorProperties(HttpServletRequest request)
                                       throws Exception

  Maps properties to fields on the html page. This method is used to populate an html page for edit.

  Parameters:
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addevent method.
  Throws:
    `Exception` - if an error occurs while initializing the event descriptor

### editEventDescriptor

    public void editEventDescriptor(ActionResult result,
                                    com.bea.wlai.common.IEventDescriptor event,
                                    HttpServletRequest request)
                             throws Exception

  This method is called by the edtservc response method. Its purpose is to extract information from a form and populate the event descriptor.

  Parameters:
    `result` - - indicates the success or failure of the action; when the object is passed in, it is configured for success. If an error condition occurs in this method, the result can be changed.
    `event` - - an object that describes an event for an application view.
    `request` - - the HTTP request to access any parameters that are not validated by the controller servlet prior to invoking the addservc method.
  Throws:
    `Exception` - if an error occurs while initializing the event descriptor

### debugDocument

    protected void debugDocument(String strMessage,
                                 ILogger logger,
                                 com.bea.document.IDocument doc)

### setVariableSet

    public void setVariableSet(IMutableVariableSet varSet)

  Set the variable set instance to be manipulated/displayed by the varset JSP page.

### getVariableSet

    public IMutableVariableSet getVariableSet()

  Get the variable set instance being manipulated/displayed by the varset JSP page, or null if none has been set.

### setVariableSetHasNewValues

    public void setVariableSetHasNewValues(boolean newValue)

  Set a flag indicating that we just applied new values to the variable set.

### variableSetHasNewValues

    public boolean variableSetHasNewValues()

  Get a flag indicating if we just applied new values to the variable set.

### varset

    public ActionResult varset(HttpServletRequest request)
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD